Loading...
Searching...
No Matches
DistGeom::ChiralViolationContrib Class Reference

`#include <ChiralViolationContrib.h>`

Inheritance diagram for DistGeom::ChiralViolationContrib:

## Public Member Functions

| ChiralViolationContrib ()
| ChiralViolationContrib (ForceFields::ForceField *owner, const ChiralSet *cset, double weight=1.0)
| Constructor.
double | getEnergy (double *pos) const override
| return the contribution of this contrib to the energy of a given state
void | getGrad (double *pos, double *grad) const override
ChiralViolationContrib * | copy () const override
| return a copy
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Static Public Member Functions

static double | calcChiralVolume (unsigned int idx1, unsigned int idx2, unsigned int idx3, unsigned int idx4, const double *pos, unsigned int dim)
static double | calcChiralVolume (unsigned int idx1, unsigned int idx2, unsigned int idx3, unsigned int idx4, const RDGeom::PointPtrVect &pts)

## Additional Inherited Members

Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField {nullptr}
| our owning ForceField

## Detailed Description

DEPRECATED: use ChiralViolationContribs instead A term to capture the violation of chirality at an atom center

Definition at line 17 of file ChiralViolationContrib.h.

## Constructor & Destructor Documentation

## ChiralViolationContrib() [1/2]

DistGeom::ChiralViolationContrib::ChiralViolationContrib | ( |  | ) |

inline

Definition at line 20 of file ChiralViolationContrib.h.

## ChiralViolationContrib() [2/2]

DistGeom::ChiralViolationContrib::ChiralViolationContrib | ( | ForceFields::ForceField * | owner,
|  | const ChiralSet * | cset,
|  | double | weight = `1.0`
| ) |  |

Constructor.

Parameters

  owner | pointer to the owning forcefield
  cset | a chiral set containing the four chiral atom ids (in sequence) and the upper and lower limits on the signed chiral volume
  weight | (optional) the weight to be used for this contrib

## Member Function Documentation

## calcChiralVolume() [1/2]

static double DistGeom::ChiralViolationContrib::calcChiralVolume | ( | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | unsigned int | idx4,
|  | const double * | pos,
|  | unsigned int | dim
| ) |  |

inline static

Definition at line 44 of file ChiralViolationContrib.h.

References RDGeom::Point3D::crossProduct(), and RDGeom::Point3D::dotProduct().

## calcChiralVolume() [2/2]

static double DistGeom::ChiralViolationContrib::calcChiralVolume | ( | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | unsigned int | idx4,
|  | const RDGeom::PointPtrVect & | pts
| ) |  |

inline static

Definition at line 66 of file ChiralViolationContrib.h.

References RDGeom::Point3D::crossProduct(), and RDGeom::Point3D::dotProduct().

## copy()

ChiralViolationContrib * DistGeom::ChiralViolationContrib::copy | ( |  | ) | const

inline override virtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 40 of file ChiralViolationContrib.h.

## getEnergy()

double DistGeom::ChiralViolationContrib::getEnergy | ( | double * | pos | ) | const

override virtual

return the contribution of this contrib to the energy of a given state

Implements ForceFields::ForceFieldContrib.

## getGrad()

void DistGeom::ChiralViolationContrib::getGrad | ( | double * | pos,
|  | double * | grad
| ) |  | const

override virtual

calculate the contribution of this contrib to the gradient at a given state

Implements ForceFields::ForceFieldContrib.

The documentation for this class was generated from the following file:

- ChiralViolationContrib.h